#!/usr/bin/env python

import cgi
import cgitb; cgitb.enable()  # troubleshooting in the browser.
import address_munge
import re

print("Content-type: text/html\n")

form_data = cgi.FieldStorage()


def main(form_data):
    encoded = ""
    address = ""
    if "address" in form_data:
        address = form_data.getvalue("address")
        if address:
            if is_email(address):
                encoded = address_munge.munge(address)
            else:
                encoded = "Input string is not recognized as an email address."
    print(page(address, encoded))


def is_email(s):
    """Returns True if s is an email address, else False."""
    email_re = re.compile(r"(?:[\w._%+-]+@[\w._%+-]+\.\w{2,})", re.I | re.UNICODE)
    if email_re.search(s):
        return True
    else:
        return False


def page(address, encoded):
    return """<html>
<head>
  <title>Email address munger</title>
</head>

<body>

<h1>Email address munger</h1>

<form action="index.cgi" method="post">
	Address to encode: <input name="address" value="{}" type="text" size="100" />

	<br />

    Encoded:<br />
    <textarea name='encoded' rows='20' cols='100'>{}</textarea><br />

	<input type="submit" value="Submit" />
	<input type="reset" value="Clear" />
</form>

</body>
</html>
""".format(address, encoded)


main(form_data)
